# hey Emacs, its -*- rpm-spec -*-
# $Id: ruby-rdoc,v 1.8 2002/12/10 11:59:13 ab Exp $

Name: ruby-rdoc
Version: 0.9
Release: alt3
BuildArch: noarch
Summary: Ruby documentation system

Source: rdoc-%version.tar.bz2
Patch: rdoc-install.patch
License: Ruby
Group: Development/Ruby
Requires: ruby-stdlibs-core >= 1.7.3-alt7, ruby(SimpleMarkup)
BuildRequires: ruby, libruby-devel
AutoReq: yes, noshell

%description
'rdoc' is a JavaDoc-like documentation system for Ruby. As well as
extracting and formatting comment blocks, it attempts to parse the
Ruby code itself and document its structure.

%package -n ruby-SimpleMarkup
Summary: Ruby Simple Markup document parsing engine
License: Ruby
Group: Development/Other
Requires: ruby-stdlibs >= 1.7
Provides: ruby(SM), ruby(SimpleMarkup)

%description -n ruby-SimpleMarkup
SimpleMarkup parses plain text documents and attempts to decompose
them into their constituent parts. Some of these parts are high-level:
paragraphs, chunks of verbatim text, list entries and the like. Other
parts happen at the character level: a piece of bold text, a word in
code font. This markup is similar in spirit to that used on WikiWiki
webs, where folks create web pages using a simple set of formatting
rules.

%prep
%setup -q -n rdoc-%version
%patch -p0

%build

%install
export DESTDIR=%buildroot
ruby -rvendor-specific install.rb
pushd markup
ruby -rvendor-specific install.rb
%__mv sample ..
popd
%__mkdir -p %buildroot%_datadir/rdoc/xslfo
%__cp -ra contrib/xslfo/* %buildroot%_datadir/rdoc/xslfo/

%clean

%files
%doc README ToDo NEW_FEATURES 
%ruby_sitelibdir/rdoc*
%ruby_sitelibdir/dot*
%dir %_datadir/rdoc
%_datadir/rdoc/*
%_bindir/rdoc

%files -n ruby-SimpleMarkup
%doc sample
%ruby_sitelibdir/markup*

%changelog
* Tue Dec 10 2002 Alexander Bokovoy <ab@altlinux.ru> 0.9-alt3
- Fixed:
    + dot.rb was missed in previous build

* Tue Nov 19 2002 Alexander Bokovoy <ab@altlinux.ru> 0.9-alt2
- Rebuild with new FHS-compliant Ruby package

* Tue Sep 10 2002 Alexander Bokovoy <ab@altlinux.ru> 0.9-alt1
- 0.9

* Sat Jan 19 2002 Alexander Bokovoy <ab@altlinux.ru> 0.8a-alt1
- alpha 8

* Thu Dec 20 2001 Alexander Bokovoy <ab@altlinux.ru> 0.3a-alt1
- aplha-3 initial build
- Fixed:
    + install scripts for both rdoc and SimpleMarkup

# end of file

